What is Flashpaste?

Flashpaste is an utility for making it easier to enter the frequently used text blocks: greetings, standard phrases, e-mail addresses, Internet addresses, logins/passwords, etc. The program is perfect tool for your work with text. It actually inserts the text into any text box. It will give you a solid boost in work productivity.

You enter the necessary text once in the database by specifying two strings. One of them will be displayed in the popup list and the second one will be actually inserted in the appropriate place. When you need to enter a pre-defined phrase, you just press the hot key (you specify it in the program dialog) and select the necessary line from the popup list. To select the line, you may type its first symbols.

You can use various macros while generating lines. Macros are certain strings that are either replaced or processed by the program when it inserts lines. Using macros, you can add the current time and date, insert the commands emulating pressing the Tab or Enter keys.

Double pressing the hot key will result in the main program dialog to be displayed on the screen.

Besides, the program records the clipboard history. It means that several text fragments recently copied onto the clipboard are always at hand. It makes the work connected with copying and pasting text frequently considerably easier.

Softvoile © 2002-2004


Flashpaste - Comparison of versions

Comparison of versions

There are two versions of the program:

  • Flashpaste Lite - Freeware edition with limited functionality.
  • Flashpaste Pro - The version with extended functionality. Requires paid registration after 30 days of use.

Table of differences between Flashpaste Pro and Flashpaste Lite.

Feature | Lite | Pro
Capability to divide string into folders. | No | Yes
Are Macros supported? | No | Yes
Absence of banner. | No | Yes
The program is free. | Yes | No, but it has a free 30-day trial period.

Softvoile © 2003-2004


Flashpaste - What's new?

What's new?

You can subscribe here for our NewsLetter flashpaste-subscribe@softvoile.com

Version 2.4

  • Added an option to automatically select the last line inserted.
  • The line editing dialog is now available through a double-click on its tree item.
  • Added an extended macro for inserting time and date in any format (Only in Pro version).
  • Added macros for positioning the cursor:VK_UP, VK_DOWN, VK_RIGT, VK_LEFT (Only in Pro version).
December 11'04.

Version 2.3

  • The macros mechanism is implemented for lines being inserted.(Only in Pro version).
  • Bugs in logging the clipboard history are fixed.
  • Italian, Spanish and Dutch languages is added.
November 20'04.

Version 2.2

  • The clipboard history feature is added.
  • The localization mechanism is implemented.
  • The program statistics system is added.
  • Some other improvements and new features.
November 01'04.

Version 2.1

  • Bugs while functioning under WinXP SP2 are fixed.
  • The possibility of setting the minimizing mode instead of closing the program is added.
  • Error with show the tooltip in the system tray at each launching is fixed now.
  • The trial period is increased up to 30 days now.(Only in Pro version).
  • Improved interface.
October 03'04.

Version 2.0

  • Capability to divide string into folders.(Only in Pro version).
  • Added drag&drop support in the string tree.
  • Now you can see the entire text to be inserted in a tooltip.
  • Now the dialog box for selecting the line to be inserted has hotkeys 1...0 to quickly select the necessary line and Ctrl-1...Ctrl-0 to quickly select the insert a line.
  • Now you can store the database of the program anywhere.
  • The program interface is improved.
  • A few minor improvements.
September 07'04.

Version 1.0

  • First public release.
August 2003.


Flashpaste - Quick start

Quick start

To start working, you should enter the strings you need in the database. You can read how to add strings in the corresponding section. After that you should specify the hotkey opening the dialog box for selecting strings. You can specify the hotkey in the settings dialog.

Now the application is ready to work. if you need to insert a string you have created before, just press the hotkey and the dialog box for selecting strings will appear on the screen. using the keyboard, the mouse or by pressing the hotkey, select the necessary string and press "Enter". the dialog box for selecting the string is closed while the selected string is inserted in the proper place. It is all easy!

To open the main program window, just click the icon in the systray or double-press the corresponding hotkey.

Good luck and enjoy working with the program.


Flashpaste - Work with database

Work with database

To add a new string to the database, click "Add String" (F3) in the main program window. To create a new folder, use the "Add Folder" button or by pressing F5(in Pro version).

Add a new string in database

In the dialog box that appears you can see fields for entering two strings. The first string is just an identifier that will be displayed in the dialog box for selecting the string, it is entered in the upper input field. The string that will be actually inserted in its proper place can be much longer and have line breaks, it is entered in the lower field. You can use macros in your lines for insertion either typing them manually on your keyboard or using the corresponding menu button.

You can edit a previously entered string any moment. To edit the text being inserted, you can use the edit field either in the main window or in the edit dialog box ("Modify" or by pressing F2), you can edit the string identifier or the name of a folder only in the edit dialog box.

You can move a string in the string using the "Move Up" and "Move down" buttons or the drag&drop feature.

With the "Automatically save changes to database" mode on, all changes in the database are saved to the disk immediately. If you disable saving the database automatically, you can always save it manually using the main menu of the program (File->Save Database). To reopen the database from the file, use File->Reopen Database.

The path to the file where the program database is stored is specified in the settings dialog box.


Flashpaste - Macros overview

Macros overview

Macros are certain strings that are either replaced or processed by the program when it inserts lines. Using macros, you can add the current time and date, insert the commands emulating pressing the Tab or Enter keys...

Note: Macros are available only in the PRO version of the program.

Types of macros supported by Flashpaste Pro:

Date and Time:

  • %Date% - Current date insertion.
  • %Time% - Ccurrent time insertion..
  • %DateTime% - Current date and time insertion.
  • %ExTime(...)% - An extended macro for inserting time and date in any format.
Keystroke emulation:
  • %VK_TAB% - Insert the command emulating pressing the TAB key.
  • %VK_ENTER% - Insert the command emulating pressing the Enter key.
  • %VK_SPACE% - Insert the command emulating pressing the Space key.
  • %VK_UP% - Insert the command emulating pressing the Arrow Up key.
  • %VK_DOWN% - Insert the command emulating pressing the Arrow Down key.
  • %VK_LEFT% - Insert the command emulating pressing the Arrow Left key.
  • %VK_RIGHT% - Insert the command emulating pressing the Arrow Right key.

Use the macros %Local_1%, %Local_2% and %Local_3% to insert local texts. Each of the macros is replaced with the local text with the corresponding number. This type of macros can be useful when the database with lines for the program is stored on a network resource and used by several people. In this case the line database can contain such text as "Best regards, %Local_1%" while the variable %Local_1% is different for each workplace and can contain your name. You can set the values of the local variables in the macros configuration dialog box


Flashpaste - Clipboard History

ClipBoard History

The Clipboard History is a special feature of the program used for storing text fragments recently placed by the user onto the clipboard. Now you can quickly paste recent text fragments at any moment. It makes the work connected with copying and pasting text frequently considerably easier.

Just press the corresponding hotkey to paste text from the clipboard history. After that you should move to the "Clipboard History" folder and select the necessary text. You can use the Ctrl+C hotkey to quickly move to that folder.

You can use the program options to specify the location of the clipboard folder in the line selection dialog box.


Flashpaste - Main Window

Main Window

You can see the string tree and the field for editing the text being inserted in the main window of the program. In the tree. The main window is used for creating and editing the list of strings. Everything you can do with strings or with the database is available through either buttons or the main program menu.

Flashpaste - main window


Flashpaste - Program settings

Program settings

You can open the program settings dialog box either by selecting the menu item File->Options or by pressing F4.

Flashpaste - Program settings

"Hotkey" - You can specify a hotkey to open the dialog box for selecting the line to be inserted. Double-pressing the hotkey will open the main program window.

"Icon in systray" - If you think that there is no need for the program to place its icon in the systray, clear this checkbox.

"Show the full text in a tooltips" - The dialog box for selecting the string to be inserted will contain a hint with the full text being inserted to the right from the selected string. This feature may come in handy if you have a lot of strings and sometimes you fail to remember the full text based on the short string.

"Enable Clipboard History" - Enables recording the history.

"Clipboard History Folder on top(otherwise on bottom)" - If selected, the clipboard history folder will be the first one in the line selection tree. If cleared, it will be the last one.

"Path to database" - the path to the file where the database with strings is stored.

"Automatically save changes to database" - If you want all the changes you apply to the string tree in the main program window to be saved in the database automatically, leave this checkbox selected. It makes sense to disable this feature if your database file is stored on a network disk or if you rarely modify the content of the string database and want to speed up the work of the program.
If you disable saving the database automatically, you can always save it manually using the main menu of the program File->Save Database.


Flashpaste - HotKeys

HotKeys

Main program window hotkeys.

  • F1 - Help.
  • F2 - Editing the selected string.
  • F3 - Add a new string.
  • F4 – changing program settings..
  • F5 – Add a new folder.(in Pro version)
  • Esc – Hide the program into the system tray.
  • Del - Remove the selected item from the string tree.

Hotkeys in the dialog box for selecting the string.

  • 1, 2…, 9 , 0 – Quickly selecting the string by its number. "1" – corresponds to the first string in the list, "0" – corresponds to the tenth string. Strings in folders are numbered beginning from the first string in the current folder.
  • Ctrl-1, Ctrl-2…, Ctrl-9, Ctrl-0 – The same as a usual numeric key, but the settings dialog box is closed and the selected string is inserted immediately.
  • Ctrl-C - Move on the first line in the clipboard history folder.
  • Enter – Inserting the selected string.
  • Esc – Close the dialog box without inserting a string.


FlashDeli - Technical support

Technical support

For technical support please mail to support@softvoile.com. In the subject of your message state briefly the essence of a question. In the body of your message please specify the question, the used version of Flashpaste.

You can subscribe here for our NewsLetter Subscribe-flashpaste@softvoile.com

Visit to our forum.

Please, note - before sending a question to the technical support read the program help.


Flashpaste - Registration

Registration

Flashpaste Pro is a "try before you buy" software. It means that you may download a program from our site to evaluatie its capabilities. This is shareware 30-day trial version. To get a fullly functional program you should order your license. When you buy our software you get the following benefits:

Fully functional program
Free lifetime technical support
Free update to all the future releases of the program

FlashPaste Pro license is currently only $19.95(US)

To order Flashpaste Pro now - click here

Order processing time is 24 hours or less. You will receive your unlock data via email, so valid email address is required. If nothing arrives within 24 hours, please contact sales@softvoile.com. Please check your junk mail folder if you are using a spam filter. Emails with ordering information are occasionally mis-identified as spam.

Softvoile © 2002-2004


Flashpaste - License for Flashpaste Lite.

License for Flashpaste Lite.

FLASHPASTE LITE - PRODUCT LICENSE INFORMATION.

NOTICE TO USERS: CAREFULLY READ THE FOLLOWING LEGAL AGREEMENT. USE OF THE FLASHPASTE LITE SOFTWARE PROVIDED WITH THIS AGREEMENT (THE "SOFTWARE") CONSTITUTES YOUR ACCEPTANCE OF THESE TERMS. IF YOU DO NOT AGREE TO THE TERMS OF THIS AGREEMENT, DO NOT INSTALL AND/OR USE THIS SOFTWARE. USER'S USE OF THIS SOFTWARE IS CONDITIONED UPON COMPLIANCE BY USER WITH THE TERMS OF THIS AGREEMENT.

1. LICENSE GRANT. Softvoile Company grants you a license to use one copy of the version of this SOFTWARE on any one system. "You" means the company, entity or individual. "Use" means storing, loading, installing, executing or displaying the SOFTWARE. You may not modify the SOFTWARE or disable any licensing or control features of the SOFTWARE except as an intended part of the SOFTWARE's programming features. This license is not transferrable to any other system, or to another organization or individual.

2. OWNERSHIP. The SOFTWARE is owned and copyrighted by Softvoile Company. Your license confers no title or ownership in the SOFTWARE and should not be construed as a sale of any right in the SOFTWARE .

3. COPYRIGHT. The SOFTWARE is protected by United States copyright law and international treaty provisions. You acknowledge that no title to the intellectual property in the SOFTWARE is transferred to you. You further acknowledge that title and full ownership rights to the SOFTWARE will remain the exclusive property of SOFTVOILE Company and you will not acquire any rights to the SOFTWARE except as expressly set forth in this license. You agree that any copies of the SOFTWARE will contain the same proprietary notices which appear on and in the SOFTWARE.

4. REVERSE ENGINEERING. You agree that you will not attempt to reverse compile, modify, translate, or disassemble the SOFTWARE in whole or in part.

5. NO OTHER WARRANTIES. SOFTVOILE COMPANY DOES NOT WARRANT THAT THE SOFTWARE IS ERROR FREE. SOFTVOILE COMPANY DISCLAIMS ALL OTHER WARRANTIES WITH RESPECT TO THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD PARTY RIGHTS. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES OR LIMITATIONS ON HOW LONG AN IMPLIED WARRANTY MAY LAST, OR THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THE ABOVE LIMITATIONS OR EXCLUSIONS MAY NOT APPLY TO YOU. THIS WARRANTY GIVES YOU SPECIFIC LEGAL RIGHTS AND YOU MAY ALSO HAVE OTHER RIGHTS WHICH VARY FROM JURISDICTION TO JURISDICTION.

6. SEVERABILITY. In the event of invalidity of any provision of this license, the parties agree that such invalidity shall not affect the validity of the remaining portions of this license.

7. NO LIABILITY FOR CONSEQUENTIAL DAMAGES. IN NO EVENT SHALL SOFTVOILE COMPANY OR ITS SUPPLIERS BE LIABLE TO YOU FOR ANY CONSEQUENTIAL, SPECIAL, INCIDENTAL OR INDIRECT DAMAGES OF ANY KIND ARISING OUT OF THE DELIVERY, PERFORMANCE OR USE OF THE SOFTWARE, EVEN IF SOFTVOILE COMPANY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. IN NO EVENT WILL SOFTVOILE COMPANYS' LIABILITY FOR ANY CLAIM, WHETHER IN CONTRACT, TORT OR ANY OTHER THEORY OF LIABILITY, EXCEED THE LICENSE FEE PAID BY YOU, IF ANY.

8. ENTIRE AGREEMENT. This is the entire agreement between you and SOFTVOILE Company which supersedes any prior agreement or understanding, whether written or oral, relating to the subject matter of this license.

http://flashpaste.softvoile.com
http://softvoile.com
Copyright © 2003-2004 Softvoile.


Flashpaste - License for Flashpaste Pro.

License for Flashpaste Pro.

FLASHPASTE PRO - PRODUCT LICENSE INFORMATION.

The Flashpaste Pro is distributed as try-before-you-buy. This means:

1. All copyrights to Flashpaste Pro are exclusively owned by the Author - Tyushkov Nikolay. The SOFTWARE is protected by United States copyright law and international treaty provisions.

2.The Author reserves the right to revoke the license for any next version of Flashpaste Pro.

3. The product is NOT FREE. The product is not sold, but licensed. You can freely use the limited version of application. You should acquire license for unlocking its full potential.On payment of the appropriate license fee, the user is granted a non-exclusive license to use Flashpaste on ONE computer (i.e. a single CPU), for any legal purpose, at a time. The registered software may not be rented or leased.

4. The evaluation version may be freely distributed, provided the distribution package is not modified. No person or company may charge a fee for the distribution of Flashpaste without written permission from the copyright holder.

5. FLASHPASTE PRO IS DISTRIBUTED "AS IS". NO WARRANTY OF ANY KIND IS EXPRESSED OR IMPLIED. YOU USE AT YOUR OWN RISK.THE AUTHOR WILL NOT BE LIABLE FOR DATA LOSS, DAMAGES, LOSS OF PROFITS OR ANY OTHER KIND OF LOSS WHILE USING OR MISUSING THIS SOFTWARE.

6. You may not use, copy, emulate, clone, rent, lease, sell, modify, decompile, disassemble, otherwise reverse engineer, or transfer the licensed program, or any subset of the licensed program, except as provided for in this agreement. Any such unauthorized use shall result in immediate and automatic termination of this license and may result in criminal and/or civil prosecution.

7. All rights not expressly granted here are reserved by Tyushkov Nikolay.

8. Installing and using Flashpaste Pro signifies acceptance of these terms and conditions of the license.

9. If you do not agree with the terms of this license you must remove Flashpaste files from your storage devices and cease to use the product.

Thank you for using Flashpaste.
Tyushkov Nikolay.

http://flashpaste.softvoile.com
http://softvoile.com
Copyright © 2003-2004 Softvoile.